#
# spec file for package rubygem-json_pure
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-json_pure-1_5
Version:        1.5.4
Release:        1.2
%define mod_name json_pure
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        GPLv2+ or Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
BuildRequires:  update-alternatives
# spruz ~> 0.2.8
BuildRequires:  rubygem-spruz-0_2 >= 0.2.8
Requires:       rubygem-spruz-0_2 >= 0.2.8
%if %suse_version > 1120
Requires(post):  update-alternatives
Requires(preun): update-alternatives
%else
PreReq:         update-alternatives
%endif
Provides:       rubygem-%{mod_name}-1_5 = %{version}
%rubygems_requires
#
Url:            http://flori.github.com/json
Source:         %{mod_full_name}.gem
#
Summary:        JSON Implementation for Ruby
%description
This is a JSON implementation in pure Ruby.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
%build
%install
%gem_install %{S:0}

for i in edit_json prettify_json
do
  rm -f %{buildroot}%{_bindir}/$i.rb
done

rm -rf %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/java

%post
for i in edit_json prettify_json
do
  test -L %{_bindir}/$i.rb || rm -f %{_bindir}/$i.rb
  update-alternatives --install  %{_bindir}/$i.rb $i.rb %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/bin/$i.rb 5
  update-alternatives --auto $i.rb
done

%preun
for i in edit_json prettify_json
do
  if [ $1 -eq 0 ]; then
    update-alternatives --remove $i.rb %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/bin/$i.rb
  fi
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog
* Fri Oct 14 2011 fcastelli@suse.com
- Initial package for the 1_5 branch
